Subject: RE: Calling c-client from C++ code

From: "Lap Luu" <[email-masked]>
Date: Wed, 18 Aug 1999 10:37:02 -0400

Yes, we have successfully wrapped the original c-client source code
with a C++ layer in VC++ 4.1 environment.
 What is the name and version of your C++ compiler ?

Lap Luu

> -----Original Message-----
> From:	Karsten Ballueder [SMTP:[email-masked]]
> Sent:	Wednesday, August 18, 1999 9:40 AM
> To:	[email-masked]; [email-masked]
> Subject:	Re: Calling c-client from C++ code
> 
> On Wed, 18 Aug 1999 15:20:56 +0200 you wrote:
> 
>  > Hello,
>  > 
>  > I am in the process of writing a C++ program that needs to fetch
>  > messages from POP3/IMAP servers.
>  > 
>  > I have encountered some problems when including the "mail.h" file from
> a
>  > C++ code. In fact this include file contains some C++ keywords that are
>  > used as struct/field names. The used keywords are "private" and
>  > "function".
>  > 
>  > The C++ compiler breaks with some obscur error messages.
>  > 
>  > I have tried to frame the file inclusion with an extern "C" block :
>  > 
>  > extern "C"
>  > {
>  > #include "mail.h"
>  > }
>  > 
>  > But it does not change anything.
>  > 
>  > Is there a way to solve (or bypass) this problem ? I would like to
> known
>  > if somebody has successfully compiled the c-client toolkit in a C++
>  > environment.
>  > 
> 
> Look at the mahogany source code
> http://mahogany.home.dhs.org/ we have patchec c-client to
> compile cleanly in a C++ environment. Mainly involved
> renaming illegal variable names such as "private".
> 
>  > BTW, I am using GCC 2.7.2 on a SCO UNIX 3.2v4 system.
>  > 
>  > Thanks in advance !
>  > 
>  > 
>  > --
>  > Romain Vignes
>  > France Multimédia
>  > <mailto:[email-masked]>
>  > 
>  > -- 
>  > ------------------------------------------------------------------
>  >  For information about this mailing list, and its archives, see: 
>  >  http://www.washington.edu/imap/c-client-list.html
>  > ------------------------------------------------------------------
> 
> 
> --
>  Karsten Ballüder  http://Ballueder.home.dhs.org/
> mailto:[email-masked]
>  Physics Department, Heriot-Watt University, Edinburgh, EH14 4AS, Scotland
>                      Tel. +44-(0)-131-4513068  Fax. +44-(0)-131-4513136
>             "In a world without fences, who needs Gates?"  
> 
>